<?php

namespace App\Classes\Modules\Contacts\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Contacts\DataTransferObjects\ContactObject;

class CanFetchContact extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param ContactObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param ContactObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}